Commit fd9782d9 authored by André Anjos's avatar André Anjos 💬

Compliance with new bob.buildout build scheme

parent 3c603931
......@@ -6,9 +6,12 @@
bob_packages = ['bob.core', 'bob.sp']
from setuptools import setup, find_packages, dist
dist.Distribution(dict(setup_requires=['bob.blitz'] + bob_packages))
dist.Distribution(dict(setup_requires=['bob.extension', 'bob.blitz'] + bob_packages))
from bob.blitz.extension import Extension, Library, build_ext
from bob.extension.utils import load_requirements
build_requires = load_requirements()
version = '2.0.0a0'
setup(
......@@ -27,13 +30,8 @@ setup(
include_package_data=True,
zip_safe=False,
install_requires=[
'setuptools',
'bob.blitz',
'bob.core',
'bob.sp',
'scipy', # for testing
],
setup_requires = build_requires,
install_requires = build_requires,
namespace_packages=[
"bob",
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment